org.apache.cassandra.security

## Class EncryptionUtils.ChannelProxyReadChannel

- java.lang.Object
- - org.apache.cassandra.security.EncryptionUtils.ChannelProxyReadChannel

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.Channel, java.nio.channels.ReadableByteChannel

Enclosing class:
  EncryptionUtils

    public static class EncryptionUtils.ChannelProxyReadChannel
    extends java.lang.Object
    implements java.nio.channels.ReadableByteChannel

### Constructor Summary

Constructors
Constructor and Description
`ChannelProxyReadChannel(ChannelProxy channelProxy, long currentPosition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `getCurrentPosition()`
`boolean` `isOpen()`
`int` `read(java.nio.ByteBuffer dst)`
`void` `setPosition(long sourcePosition)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelProxyReadChannel

    public ChannelProxyReadChannel(ChannelProxy channelProxy,
                                   long currentPosition)

### Method Detail

#### read

    public int read(java.nio.ByteBuffer dst)
             throws java.io.IOException

Specified by:
  `read` in interface `java.nio.channels.ReadableByteChannel`
Throws:
  `java.io.IOException`

#### getCurrentPosition

    public long getCurrentPosition()

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `java.nio.channels.Channel`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.nio.channels.Channel`

#### setPosition

    public void setPosition(long sourcePosition)